[zorg] r350582 - [sanitizer] Replace 2 sed in android script with a single grep

Vitaly Buka via llvm-commits llvm-commits at lists.llvm.org
Mon Jan 7 15:55:01 PST 2019


Author: vitalybuka
Date: Mon Jan  7 15:55:00 2019
New Revision: 350582

URL: http://llvm.org/viewvc/llvm-project?rev=350582&view=rev
Log:
[sanitizer] Replace 2 sed in android script with a single grep

Modified:
    zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_android_functions.sh

Modified: zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_android_functions.sh
URL: http://llvm.org/viewvc/llvm-project/zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_android_functions.sh?rev=350582&r1=350581&r2=350582&view=diff
==============================================================================
--- zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_android_functions.sh (original)
+++ zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_android_functions.sh Mon Jan  7 15:55:00 2019
@@ -151,10 +151,10 @@ function test_android {
   for SERIAL in $ANDROID_DEVICES; do
     LOG="$(mktemp test_android_log_XXXX)"
     LOGS="$LOGS $LOG"
-    # Replace BUILD_STEP marker to report entire thing as a single step. We run
-    # tests in parallel so we have not way to split tests correctly. We do that
-    # after all test complete. We still want to keep error markers alive.
-    (test_on_device "$SERIAL" $@ 2>&1 | sed -ue "s/@@@BUILD_STEP /%%%BUILD_STEP /g" | tee "$LOG") &
+    # Remove BUILD_STEP marker to report entire thing as a single step. We run
+    # tests in parallel so we can't split tests correctly. We will sprint and
+    # report them later. We still want to keep error markers.
+    (test_on_device "$SERIAL" $@ 2>&1 | tee "$LOG" | grep --line-buffered -v "@@@BUILD_STEP") &
   done
 
   wait
@@ -167,8 +167,7 @@ function test_android {
     fi
   done
 
-  # Printout all logs recovering BUILD_STEP markers.
-  sed -e "s/%%%/@@@/g" $LOGS || true
+  cat $LOGS || true
 }
 
 function run_command_on_device {




More information about the llvm-commits mailing list